# Labtasker

![unit-test-matrix](https://github.com/fkcptlst/labtasker/actions/workflows/unit-test-matrix.yml/badge.svg)
[![codecov](https://codecov.io/gh/fkcptlst/labtasker/graph/badge.svg?token=KQFBV3QRPY)](https://codecov.io/gh/fkcptlst/labtasker)
![Python version](https://img.shields.io/badge/Python-3.8%20|%203.9%20|%203.10%20|%203.11%20|%203.12%20|%203.13-blue)
[![PyPI](https://img.shields.io/pypi/v/labtasker)](https://pypi.org/project/labtasker/)

Labtasker makes lab experiment wrapper scripts smarter with task prioritization, failure handling, halfway resume and more: just change 1 line of code.

## When and Where to Use

**TLDR**: Replace `for` loops in your experiment *wrapper script* with labtasker to enable features like experiment parallelization, dynamic task prioritization, failure handling, halfway resume, and more.

For detailed examples and concepts, check out the [documentation](https://fkcptlst.github.io/labtasker/).

## Features

- Easy configuration and setup.
- Versatile and minimalistic design.
- Supports both CLI and Python API for task scheduling.
- Customizable plugin system.

## Installation

To install client tools:

```bash
pip install labtasker
```

or

```bash
pip install git+https://github.com/fkcptlst/labtasker.git
```

## Documentation

For detailed information on demo, tutorial, deployment, usage, please refer to the [documentation](https://fkcptlst.github.io/labtasker/).
